\begin{tikzpicture}[%
uml activity parameter/.append style={greenshading},
uml activity/.append style={blueshading}
]


\node[uml start state] (start) {};
\node[uml activity, text width=2.5cm] (emfcompare) [below= 1em of start] {EMFCompare};
\node[uml activity, text width=4cm] (convert) [below=1.5em of emfcompare] {in atomare Änderungen konvertieren};
\node[uml fork] (forkatomic) [below=1.5em of convert] {};
\node[uml activity, text width=4cm] (rules) [below=2em of forkatomic] {regelbasierte Analyse};
\node[uml final state] (stop) [below=1em of rules] {};

\node (topleft) [above left=2em and 9.5em of start] {};
\node (bottomright) [below right=1em and 11em of stop] {};

\begin{pgfonlayer}{u1}
\draw[lightgreyshading] (topleft.center) rectangle (bottomright.center);
\end{pgfonlayer}

\begin{scope}[every node/.style={uml activity parameter, fill=white, text width=2.2cm}]
\node (input) at (emfcompare-|topleft) {Eingabe-Metamodelle};

\node (atomic) at (convert-|bottomright) {atomare Änderungen};
\node (complex) at (rules-|bottomright) {komplexe Änderungen};
\end{scope}

\node[anchor=north west] (adlabel) at (topleft.center) {\textbf{act} Änderungsmodell-Erzeugung};
%\draw ($(topleft.center)+(0,-1.5em)$) -- ++ (6cm,0) -- ++ (.7em,.7em) -- ++ (0,.8em);
\draw[thick,gray] (adlabel.south west) -- (adlabel.south east) -- ++ (.7em,.7em) -- ([xshift=.7em]adlabel.north east);

\draw[-latex, dashed] (start) -- (emfcompare);
\draw[-latex, dashed] (rules) -- (stop);

\draw[-latex] (input) -- (emfcompare);

\node[uml pin] (emfcompareoutpin) at (emfcompare.south) {};
\node[uml pin] (convertinpin) at (convert.north) {};
\draw[-latex] (emfcompareoutpin) -- node[left, font=\footnotesize] {diff} (convertinpin);

\node[uml pin] (convertoutpin) at (convert.south) {};
\node[uml pin] (rulesinpin) at ([xshift=-.5em] rules.north) {};
\draw[-latex] (convertoutpin) -- node[left, font=\footnotesize] {atomare Änderungen} (forkatomic);
\draw[-latex] (forkatomic.south -| rulesinpin.center) -- (rulesinpin);
\draw[-latex] ([xshift=.5em] forkatomic.south) -- ++ (0,-.5em) -| ([xshift=-1em] atomic.south);

\draw[-latex] (rules) -- (complex);
\end{tikzpicture}